[Qa-jenkins-scm] [Git][qa/jenkins.debian.net][master] add fakeroot-foreign job
Holger Levsen
gitlab at salsa.debian.org
Thu Nov 5 19:13:46 GMT 2020
Holger Levsen pushed to branch master at Debian QA / jenkins.debian.net
Commits:
28387566 by Johannes 'josch' Schauer at 2020-11-05T20:12:57+01:00
add fakeroot-foreign job
Signed-off-by: Holger Levsen <holger at layer-acht.org>
- - - - -
2 changed files:
- + bin/fakeroot_foreign_runner.sh
- + job-cfg/fakeroot-foreign.yaml
Changes:
=====================================
bin/fakeroot_foreign_runner.sh
=====================================
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+set -exu
+
+DEBUG=true
+. /srv/jenkins/bin/common-functions.sh
+common_init "$@"
+
+REPO_URL=https://salsa.debian.org/josch/fakeroot-foreign
+
+TARGET=/src/fakeroot-foreign
+
+sudo mkdir -p $TARGET/
+sudo chown -R jenkins:jenkins $TARGET/
+
+if [ ! -d $TARGET/fakeroot-foreign ]; then
+ git clone $REPO_URL $TARGET/fakeroot-foreign
+else
+ git -C $TARGET/fakeroot-foreign status || /bin/true
+ git -C $TARGET/fakeroot-foreign fetch
+ git -C $TARGET/fakeroot-foreign reset --hard origin/master
+fi
+
+sh $TARGET/fakeroot-foreign/run.sh
+
+# vim: set sw=0 noet :
=====================================
job-cfg/fakeroot-foreign.yaml
=====================================
@@ -0,0 +1,46 @@
+---
+- defaults:
+ name: fakeroot-foreign
+ project-type: freestyle
+ properties:
+ - sidebar:
+ url: https://jenkins.debian.net/userContent/about.html
+ text: About jenkins.debian.net
+ icon: /userContent/images/debian-swirl-24x24.png
+ - sidebar:
+ url: https://jenkins.debian.net/view/qa.debian.org/
+ text: Jobs for Debian QA related packages
+ icon: /userContent/images/debian-jenkins-24x24.png
+ - sidebar:
+ url: https://www.ionos.com
+ text: Sponsored by IONOS
+ icon: /userContent/images/ionos-24x24.png
+ description: '{my_description}<br><br>Job configuration source is <a href="https://salsa.debian.org/qa/jenkins.debian.net/blob/master/job-cfg/fakeroot-foreign.yaml">fakeroot-foreign.yaml</a>.'
+ logrotate:
+ daysToKeep: 90
+ numToKeep: 30
+ artifactDaysToKeep: -1
+ artifactNumToKeep: -1
+ publishers:
+ - email:
+ recipients: 'josch at debian.org'
+ builders:
+ - shell: '/srv/jenkins/bin/jenkins_master_wrapper.sh'
+
+- job:
+ defaults: fakeroot-foreign
+ name: fakeroot-foreign-runner
+ description: 'Re-run the fakeroot-foreign test whenever the repository changes.'
+ scm:
+ - git:
+ url: 'https://salsa.debian.org/josch/fakeroot-foreign'
+ branches:
+ - master
+ triggers:
+ - pollscm:
+ cron: 'H/15 * * * *'
+ - timed: '@daily'
+
+- project:
+ name: fakeroot-foreign
+ jobs: ['janitor-setup-worker', 'janitor-worker']
View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/commit/283875667a961779696f94be1f1673a643fef8da
--
View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/commit/283875667a961779696f94be1f1673a643fef8da
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/qa-jenkins-scm/attachments/20201105/f4dccd23/attachment-0001.html>
More information about the Qa-jenkins-scm
mailing list